
TYPO3.TYPO3CR - Feature # 3133

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: FLOW3 Persistence
Created: 2009-04-19 Assigned To: Karsten Dambekalns
Updated: 2011-05-05 Due date:
Subject: Abort persisting objects on reference errors
Description

Abort persisting objects when instances are encountered that are aggregate roots but have not been added to their repository
(example: structure nodes in TYPO3 backendcontroller setup action).

Associated revisions
Revision fd508fa0 - 2009-06-08 11:40 - Karsten Dambekalns

[FEAT+] TYPO3CR (FLOW3 Persistence): We now abort persisting objects on reference errors in finalizeObjectProxyNodes(), resolves #3133

History
#1 - 2009-05-19 12:34 - Robert Lemke
- Target version set to 283

#2 - 2009-06-04 15:04 - Robert Lemke
- Priority changed from Must have to Should have
- Target version changed from 283 to 1.0 alpha 2

#3 - 2009-06-05 13:17 - Karsten Dambekalns
- Project changed from TYPO3.Flow to TYPO3.TYPO3CR
- Category deleted (Persistence)
- Target version deleted (1.0 alpha 2)

#4 - 2009-06-05 13:17 - Karsten Dambekalns
- Category set to FLOW3 Persistence
- Target version set to 197

#5 - 2009-06-08 12:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2576.

#6 - 2011-05-05 17:12 - Robert Lemke
- Target version deleted (197)
